Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::generate_fn Struct Reference
Views

## Synopsis of methods
constexpr generate_fn | generate {}

## Public Member Functions
template<typename G >
auto | operator() (G g) const -> generate_view< G > requires Invocable< G & > &&CopyConstructible< G > &&std::is_object< detail::decay_t< invoke_result_t< G & >>>::value &&Constructible< detail::decay_t< invoke_result_t< G & >>, invoke_result_t< G & >> &&Assignable< detail::decay_t< invoke_result_t< G & >> &, invoke_result_t< G & >>